# MatUnScaleSystem

Unscales a vector solution and right hand side to match the original scaling of a scaled matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatUnScaleSystem(Mat mat,Vec b,Vec x)

Collective on Mat

### Input Parameter

| mat | - the matrix
| b | - right hand side vector (or PETSC_NULL)
| x | - solution vector (or PETSC_NULL)

### Notes

For AIJ, BAIJ, and BDiag matrix formats, the matrices are not internally scaled, so this does nothing. For MPIROWBS it permutes and diagonally scales.

The KSP methods automatically call this routine when required (via PCPreSolve()) so it is rarely used directly.

### See Also

MatUseScaledForm(), MatScaleSystem()

Level:Developer
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages